# Python
*.pyc
*.pyo
*.pyd
__pycache__/
*.so
*.egg
*.egg-info/
dist/
build/
eggs/
parts/
sdist/
var/
pip-log.txt
pip-delete-this-directory.txt
*.bak
*.swp
*~
*.log

# Virtual environment directories
venv/
ENV/
env/
.venv/
__pypackages__/

**.env
# Node.js
node_modules/

# IDE and editor files
.vscode/
.idea/
*.sublime-workspace
*.sublime-project
*.vscode/
*.iml
*.swp

# OS-generated files
.DS_Store
Thumbs.db
desktop.ini

# Logs and temp files
*.log
*.tmp
*.bak
*.swp
*.swo

# Coverage and test reports
.coverage
nosetests.xml
coverage.xml
*.cover
*.hypothesis/

# Jupyter Notebooks
.ipynb_checkpoints/

# Python wheel files
*.whl

# Docker files
Dockerfile
docker-compose.yml

# Miscellaneous
*.dat
*.db
*.sqlite

# Virtual environment directories at any depth
**/venv/
**/ENV/
**/env/
**/.venv/
**/__pypackages__/
**/node_modules/
